package com.caimei365.commodity.service;

import com.caimei365.commodity.model.ResponseJson;
import com.caimei365.commodity.model.dto.ProcurementDto;
import com.caimei365.commodity.model.po.ProcurePo;
import com.caimei365.commodity.model.vo.PaginationVo;

import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/4/26
 */
public interface ProcurementService {

    /**
     * 所有集采
     * @param pageNo
     * @param pageSize
     * @return
     */
    ResponseJson<List<ProcurementDto>> findList(int pageNo, int pageSize);

    /**
     * 查看详情
     * @param id
     * @return
     */
    ResponseJson<Map<String,Object>> detailProcurement(Integer id);

    /**
     * 我参与的 | 我创建的
     * @param userId
     * @return
     */
    ResponseJson<List<ProcurementDto>> myProcurement(Integer userId,Integer procurementType);

    /**
     * 修改集采信息回显
     * @param id
     * @param userId
     * @param procurementType 0 我参与的 1 我发起的
     * @return
     */
    ResponseJson<ProcurementDto> editData(Integer id, Integer userId, Integer procurementType);

    /**
     * 发布集采
     * @param procurementDto
     * @return
     */
    ResponseJson saveProcurement(ProcurementDto procurementDto);

    /**
     * 参与集采
     * @param procurementDto
     * @return
     */
    ResponseJson participateProcurement(ProcurementDto procurementDto);

    /**
     * 删除集采 | 退出集采
     * @param id
     * @param userId
     * @param procurementType
     * @return
     */
    ResponseJson updateProcurement(Integer id, Integer userId, Integer procurementType);


}
